/// <reference types="cypress" />
declare module "commands/initEditorJS/index" {
    import EditorJS, { EditorConfig } from '@editorjs/editorjs';
    global {
        namespace Cypress {
            interface Chainable<Subject = any> {
                initEditorJS(config?: EditorConfig): Chainable<EditorJS>;
            }
        }
    }
    const _default: void;
    export default _default;
}
declare module "commands/getEditor/index" {
    global {
        namespace Cypress {
            interface Chainable<Subject = any> {
                getEditor(options?: Partial<Loggable>): Chainable<JQuery<HTMLDivElement>>;
            }
        }
    }
    const _default_1: void;
    export default _default_1;
}
declare module "commands/getBlock/index" {
    global {
        namespace Cypress {
            interface Chainable<Subject = any> {
                getBlock(index?: number, options?: Partial<Loggable>): Chainable<JQuery<HTMLDivElement>>;
            }
        }
    }
    const _default_2: void;
    export default _default_2;
}
declare module "commands/openBlockSettings/index" {
    global {
        namespace Cypress {
            interface Chainable<Subject = any> {
                openBlockSettings(): Chainable<JQuery<HTMLDivElement>>;
            }
        }
    }
    const _default_3: void;
    export default _default_3;
}
declare module "commands/index" {
    import "commands/initEditorJS/index";
    import "commands/getEditor/index";
    import "commands/getBlock/index";
    import "commands/openBlockSettings/index";
}
declare module "index" {
    import EditorJS from '@editorjs/editorjs';
    import "commands/index";
    global {
        namespace Cypress {
            interface ApplicationWindow {
                EditorJS: typeof EditorJS;
                loadScript(source: string, id?: string): Promise<boolean>;
            }
        }
    }
}
