var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
// ***********************************************************
// This example plugins/index.js can be used to load plugins
//
// You can change the location of this file or turn off loading
// the plugins file with the 'pluginsFile' configuration option.
//
// You can read more here:
// https://on.cypress.io/plugins-guide
// ***********************************************************
define("index", ["require", "exports", "path"], function (require, exports, path_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    path_1 = __importDefault(path_1);
    /**
     * @type {Cypress.PluginConfig}
     */
    module.exports = (on, config) => {
        const absPathToFixture = path_1.default.resolve(__dirname, '../fixtures/index.html');
        const relPathToFixture = path_1.default.relative(process.cwd(), absPathToFixture);
        on('task', {
            resolvePathToPackage(name) {
                return path_1.default.relative(path_1.default.dirname(absPathToFixture), require.resolve(name));
            },
            resolvePathToFixture() {
                return relPathToFixture;
            },
        });
        return config;
    };
});
